\section{Related Work}
\label{sec:related-work}
In this section we briefly present some works apart from OpenCL that our
implementation depends on:

\begin{itemize}
    \item Eigen \cite{eigen}: A C++ library for linear algebra against which we
    check the correctness of our implementation. It will additionally
    provide the base matrix data types that we will use as input and outputs
    for our implementation.
    \item Google Test \cite{gtest}: A testing framework that we use to
    assert that our implementation behaves as expected.
    \item Google Benchmark \cite{benchmark}: A benchmarking library that we
    use to compare different configurations, generating a \texttt{json} file
    with all the necessary data to generate the figures of this work.
    \item vcpkg \cite{vcpkg}: A package manager for C++ that allows us to
    painlessly link our code to external dependencies like the ones mentioned
    above. It greatly improves the collaboration experience as we can quickly
    add and use dependencies without having to worry about our colleagues'
    setup.
\end{itemize}